%define major 1
%define libname %mklibname icns %{major}
%define devname %mklibname icns -d

Summary:	Library for manipulating MacOS X icns files
Name:		libicns
Version:	0.8.1
Release:	6
License:	GPL, LGPL
Group:		System/Libraries
Url:		http://icns.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/icns/icns/libicns-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libpng)

%description
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library files for %{name}
Group:		System/Libraries

%description -n %{libname}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%files -n %{libname}
%{_libdir}/libicns.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Devel package for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

This package contains libraries and header files need for development.

%files -n %{devname}
%doc src/apidocs.*
%{_includedir}/icns.h
%{_libdir}/libicns.so
%{_libdir}/pkgconfig/libicns.pc

#----------------------------------------------------------------------------

%package -n libicns-utils
Summary:	Utilities for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n libicns-utils
Software for library for manipulating MacOS X .icns icon format.
Currently provides support for reading and writing icns files
in most sizes.

Also provides utilities for manipulating files in the .icns format:
* icns2png - convert Mac OS icns files to png images
* png2icns - convert png images to Mac OS icns files
* icontainer2icns - extract icns files from icontainers

%files -n libicns-utils
%doc README
%{_bindir}/icns2png
%{_bindir}/icontainer2icns
%{_bindir}/png2icns
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
%makeinstall_std


%changelog

* Tue Dec 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.1-6
- (c7e7d3e) Spec cleanup


